<?php

namespace Content\Lib;

use Dever;

class Books
{
    public function get($data, $uid = false)
    {
        if (!is_array($data)) {
            $data = Dever::db('content/books')->getOne($data);
        }
        
        if (!$data) {
            Dever::alert('错误的图书信息');
        }
    
        $data = $this->getContent($data, $uid);

        return $data;
    }

    # 获取相关推荐
    public function getRelation($info)
    {
        $where['noid'] = $info['id'];
        return Dever::db('content/books')->getRelation($where);
    }

    # 增加浏览量
    public function addView($id)
    {
        Dever::db('content/books')->addView($id);
    }

    # 获取列表
    public function getList()
    {
        $data = Dever::db('content/books')->getList();

        return $data;
    }
}