<?php
$config['base'] = array
(
	'name' => '知识付费平台',
	'version' => '1.0.0 Beta',

    # 设置分类组件中的栏目下的分类为系统使用的主分类
    'category' => 1,

    # 设置类型
    'type' => array
    (
        1 => '需求',
    ),

    # 功能类型
    'type_table' => array
    (
        1 => 'demand/info',
    ),

    # 审核配置
    'audit' => array
    (
        1 => '未审核',
        2 => '已审核',
        3 => '审核未通过',
    ),

    # 小程序配置
    'applet' => array
    (
        'project' => 'passport/system',
        'url' => 'https://api.weixin.qq.com/sns/jscode2session',
    ),

    # 站点使用邮箱还是手机作为主账号
    'account' => 'mobile',
);


# 前台通用配置
$config['template'] = array
(
    # 静态页面目录
    'assets' => array('pc', 'mobile'),

    # 模板编译器目录
    'template' => 'pc',

    # 模板html文件的所在目录，默认为html
    'path' => '',

    'replace' => array
    (
        'css' => 'css/',
        'js' => 'js/',
        'images' => 'images/',
        'script' => 'script/',
        'static' => './static/',
    ),

    # 编译器与模板对应关系目录，定义之后，代表可以完全不改动前端的代码，可以为空，为空则一一对应，参考manage
    'relation' => array
    (
        # 首页启动屏幕
        'home' => 'index',
        'list_text' => 'list1',
        'page' => 'intro',
        'view' => 'article',
        'magazine' => 'magzine',
    ),
    
);
return $config;