<?php

# 一些基本配置
$config['base'] = array
(
	# 小程序appid 后续直接使用applet组件
	'applet' => array
	(
		'appid' => '',
		'secret' => '',
		'url' => 'https://api.weixin.qq.com/sns/jscode2session',
	),
	# 第三方登录的直接用oauth组件即可

	# 站点使用邮箱还是手机作为主账号，如果是手机，请填写手机验证码的配置接口
	'account' => 'email',
	# 不需要验证码
	//'nocode' => false,
	# 发送邮件的配置
	'email' => array
	(
		'pop' => 'pop3.sina.net',
		'smtp' => 'smtp.sina.net',
		'imap' => 'imap.sina.net',
		'username' => '',
		'password' => '',
		'from' => array('test@dever.cc', 'dever'),
		# 找回密码
		'forget' => array
		(
			'title' => '精品网密码重置',
			'link' => '精品网密码重置',
			'content' => '尊敬的精品网用户：

您好！

请点击下方链接进行密码重置

【{link}】

如果上面的链接无法点击，您也可以复制链接到您的浏览器内打开，完成密码重置（链接有效期一天）。',
		),
	),
	# 性别转换 passport里1为男、2为女 3为未知，如果前端定义与这个不同，请做好转换
	'sex' => array
	(
		# 前面的索引为前端传过来的值
		1 => 1,
		2 => 2,
		3 => 3,
	),

	# 后续直接使用sms组件，暂时先放这里吧
	'mobileCode' => array
	(
		# debug模式
		'debug' => true,
		# 发送短信的接口
		'url' => '',
		# 发送方法 get、post
		'method' => 'get',
		# 是否json编码
		'json' => false,
		# header信息
		'header' => '',
		# body信息
		'body' => 'param={code}&phone={mobile}&sign={sign}&skin={skin}',
		# 短信模板 发送短信时，请加上参数skin=1
		'skin' => array
		(
			1 => '{sign}您好，您的验证码为{code}，十分钟之内有效。',
		),
		# 短信签名
		'sign' => '【DEVER】',
		# 验证码有效期 默认10分钟
		'timeout' => 600,
		# 一天之内的最大发送次数，默认为10次
		'total' => 10,
		# 不允许多久之内重复发送，默认为60秒
		'time' => 60,
		# 验证码长度
		'length' => 4,
	),
	# 注册成功后，调取的接口
	'regAction' => '',

	'passport_list_button' => array
	(
		
	),
);

return $config;