<?php
$status = array
(
	1 => '未执行',
	2 => '已执行',
);
return array
(
	# 表名
	'name' => 'combine',
	# 显示给用户看的名称
	'lang' => '合并管理',
	# 后台菜单排序
	'order' => 1,
	'menu'	=> false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
			'order'		=> 'desc',
		),
		
		'old_uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '旧的uid',
			'default' 	=> '',
			'desc' 		=> '旧的uid',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'new_uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '新的uid',
			'default' 	=> '',
			'desc' 		=> '新的uid',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '合并任务执行状态',
			'default' 	=> '2',
			'desc' 		=> '合并任务执行状态',
			'match' 	=> 'is_numeric',
			'option' 	=> $status,
			'update'	=> 'radio',
			'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),
);
